# BindException Class Reference

Inherits SocketException.

List of all members.

## Detailed Description

Signals that an error occurred while attempting to bind a socket to a local address and port.

Typically, the port is in use, or the requested local address could not be assigned.

## Public Member Functions

| BindException (log4cxx_status_t status)
| BindException (const BindException &)
BindException & | operator= (const BindException &)

## Constructor & Destructor Documentation

BindException | ( | log4cxx_status_t | status | ) |

BindException | ( | const BindException & |  | ) |

## Member Function Documentation

BindException& operator= | ( | const BindException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h